
#
#   THIS FILE IS UNDER RCS - DO NOT MODIFY UNLESS YOU HAVE
#   CHECKED IT OUT USING THE COMMAND CHECKOUT.
#
#    $Id: makefile.sol 1482 2004-05-17 20:25:49Z dietz $
#
#    Revision history:
#     $Log$
#     Revision 1.4  2004/05/17 20:25:49  dietz
#     Modified to use TYPE_PICK_SCNL and TYPE_CODA_SCNL as input and
#     to produce TYPE_EVENT_SCNL as output.
#
#     Revision 1.3  2002/11/03 19:12:56  lombard
#     Added CFLAGS definition
#
#     Revision 1.2  2000/08/08 18:11:30  lucky
#     Added lint directive
#
#     Revision 1.1  2000/02/14 17:12:03  lucky
#     Initial revision
#
#
#

CFLAGS = ${GLOBALFLAGS}

B = $(EW_HOME)/$(EW_VERSION)/bin
L = $(EW_HOME)/$(EW_VERSION)/lib


EQPROC = eqproc.o $L/site.o $L/tlay.o $L/logit.o $L/time_ew.o $L/kom.o \
         $L/chron3.o $L/mnbrak.o $L/brent.o $L/getutil.o $L/pipe.o \
         $L/rdpickcoda.o $L/sleep_ew.o $L/transport.o   

all:
	make -f makefile.sol eqproc
	make -f makefile.sol log_everything

eqproc: $(EQPROC)
	cc -o $B/eqproc  $(EQPROC)  -lm -lposix4

log_everything: log_everything.o $L/pipe.o $L/getutil.o $L/kom.o
	cc -o $B/log_everything log_everything.o $L/pipe.o $L/getutil.o $L/kom.o -lm 


lint:
	lint eqproc.c log_everything.c $(GLOBALFLAGS)

# Clean-up rules
clean:
	rm -f a.out core *.o *.obj *% *~

clean_bin:
	rm -f $B/log_everything* $B/eqproc*
